from vcApplication import *

uri = getApplicationPath()
net_cmd = findCommand('netCommand')

# GALLERY MENU in PROGRAM tab
# addMenuItem('location and name of gallery menu', 'name of group',      -1, control_id,      Tooltip, icon_path, ref_id, controltype )
ds_public_tools_icon_path = getCommandPath() + 'Phoenix_simple.svg'
gm_program_ds_sim_pub_tools_id = 'gm_program_ds_sim_pub_tools'
addMenuItem('VcTabTeach/DS-SIM Add Ons', 'DS-SIM Public Tools', -1, gm_program_ds_sim_pub_tools_id, '', ds_public_tools_icon_path, '', 'GalleryMenuTool')


# * DS-SIM Public Tools\Import
# ** DS-SIM Public Tools\Import\ImportToolBase
import_tb_name = 'Import Tools/Bases'
import_tb_tooltip = 'Import tools and bases from a $config.dat file'
import_tb_cmd_id = 'ImportToolBaseCmd'
import_tb_sub_path = '\\Import\\ImportToolBase\\'
import_tb_cmd_uri = getApplicationPath() + import_tb_sub_path + 'import_tool_base.py'
import_tb_cmd = loadCommand(import_tb_cmd_id, import_tb_cmd_uri)
tb_icon_path = getCommandPath() + import_tb_sub_path + 'image_Base.svg'
addMenuItem('VcTabTeach/DS-SIM Add Ons/DS-SIM Public Tools/Import', import_tb_name, -1, import_tb_cmd_id, import_tb_tooltip, tb_icon_path, gm_program_ds_sim_pub_tools_id, 'GalleryMenuToolItem')
# set localization to ensure naming of action panels appears in every localization
net_cmd.execute('SetLocalizationCommand','English','Python',import_tb_cmd_id,'Text', import_tb_name)
net_cmd.execute('SetLocalizationCommand','German','Python',import_tb_cmd_id,'Text', import_tb_name)
net_cmd.execute('SetLocalizationCommand','French','Python',import_tb_cmd_id,'Text', import_tb_name)
net_cmd.execute('SetLocalizationCommand','Chinese','Python',import_tb_cmd_id,'Text', import_tb_name)
net_cmd.execute('SetLocalizationCommand','Japanese','Python',import_tb_cmd_id,'Text', import_tb_name)

# * DS-SIM Public Tools\Helpers
# ** DS-SIM Public Tools\Helpers\SaveLoadSignalConnections
save_load_sig_con_name = 'Save/Load Signal Connections'
save_load_sig_con_cmd_id = 'SaveLoadSignalConCmd'
save_load_sig_con_tooltip = 'Save and load the signal connections of a robot to a local file. The file is saved to the location of this command in the MyCommands folder of KUKA.Sim.'
save_load_sig_con_sub_path = '\\Helpers\\SaveLoadSignalConnections\\'
save_load_sig_con_uri = getApplicationPath() + save_load_sig_con_sub_path + 'save_load_signal_connections.py'
save_load_sig_con_cmd = loadCommand(save_load_sig_con_cmd_id, save_load_sig_con_uri)
save_load_icon_path = getCommandPath() + save_load_sig_con_sub_path + "image_rSignalMap.svg"
addMenuItem('VcTabTeach/DS-SIM Add Ons/DS-SIM Public Tools/Helpers', save_load_sig_con_name, -1, save_load_sig_con_cmd_id, save_load_sig_con_tooltip, save_load_icon_path, gm_program_ds_sim_pub_tools_id, 'GalleryMenuToolItem')
# set localization to ensure naming of action panels appears in every localization
net_cmd.execute('SetLocalizationCommand','English','Python',save_load_sig_con_cmd_id,'Text', save_load_sig_con_name)
net_cmd.execute('SetLocalizationCommand','German','Python',save_load_sig_con_cmd_id,'Text', save_load_sig_con_name)
net_cmd.execute('SetLocalizationCommand','French','Python',save_load_sig_con_cmd_id,'Text', save_load_sig_con_name)
net_cmd.execute('SetLocalizationCommand','Chinese','Python',save_load_sig_con_cmd_id,'Text', save_load_sig_con_name)
net_cmd.execute('SetLocalizationCommand','Japanese','Python',save_load_sig_con_cmd_id,'Text', save_load_sig_con_name)

# ** DS-SIM Public Tools\Helpers\AdaptStatements
adapt_statements_name = 'Adapt Statements'
adapt_statements_cmd_id = 'AdaptStatementsCmd'
adapt_statements_tooltip = 'Adapt position and other values of selected statements.'
adapt_statements_sub_path = '\\Helpers\\AdaptStatements\\'
adapt_statements_uri = getApplicationPath() + adapt_statements_sub_path + 'adapt_statements.py'
adapt_statements_cmd = loadCommand(adapt_statements_cmd_id, adapt_statements_uri)
adapt_statements_icon_path = getCommandPath() + adapt_statements_sub_path + 'ExpressionParameter.svg'
addMenuItem('VcTabTeach/DS-SIM Add Ons/DS-SIM Public Tools/Helpers', adapt_statements_name, -1, adapt_statements_cmd_id, adapt_statements_tooltip, adapt_statements_icon_path, gm_program_ds_sim_pub_tools_id, 'GalleryMenuToolItem')
# set localization to ensure naming of action panels appears in every localization
net_cmd.execute('SetLocalizationCommand','English','Python',adapt_statements_cmd_id,'Text', adapt_statements_name)
net_cmd.execute('SetLocalizationCommand','German','Python',adapt_statements_cmd_id,'Text', adapt_statements_name)
net_cmd.execute('SetLocalizationCommand','French','Python',adapt_statements_cmd_id,'Text', adapt_statements_name)
net_cmd.execute('SetLocalizationCommand','Chinese','Python',adapt_statements_cmd_id,'Text', adapt_statements_name)
net_cmd.execute('SetLocalizationCommand','Japanese','Python',adapt_statements_cmd_id,'Text', adapt_statements_name)

# ** DS-SIM Public Tools\Helpers\ChangeToolBase
change_tool_base_name = 'Change Tool/Base'
change_tool_base_cmd_id = 'ChangeToolBaseCmd'
change_tool_base_tooltip = 'Adapt position and other values of selected statements.'
change_tool_base_sub_path = '\\Helpers\\ChangeToolBase\\'
change_tool_base_uri = getApplicationPath() + change_tool_base_sub_path + 'change_tool_base.py'
change_tool_base_cmd = loadCommand(change_tool_base_cmd_id, change_tool_base_uri)
change_tool_base_icon_path = getCommandPath() + change_tool_base_sub_path + 'tool-set.svg'
addMenuItem('VcTabTeach/DS-SIM Add Ons/DS-SIM Public Tools/Helpers', change_tool_base_name, -1, change_tool_base_cmd_id, change_tool_base_tooltip, change_tool_base_icon_path, gm_program_ds_sim_pub_tools_id, 'GalleryMenuToolItem')
# set localization to ensure naming of action panels appears in every localization
net_cmd.execute('SetLocalizationCommand','English','Python',change_tool_base_cmd_id,'Text', change_tool_base_name)
net_cmd.execute('SetLocalizationCommand','German','Python',change_tool_base_cmd_id,'Text', change_tool_base_name)
net_cmd.execute('SetLocalizationCommand','French','Python',change_tool_base_cmd_id,'Text', change_tool_base_name)
net_cmd.execute('SetLocalizationCommand','Chinese','Python',change_tool_base_cmd_id,'Text', change_tool_base_name)
net_cmd.execute('SetLocalizationCommand','Japanese','Python',change_tool_base_cmd_id,'Text', change_tool_base_name)


# * DS-SIM Public Tools\Wizards
# ** DS-SIM Public Tools\Wizards\MirrorWizard
mirror_pos_name = 'Mirror Positions'
mirror_pos_cmd_id = 'MirrorPosCmd'
mirror_pos_tooltip = 'Mirror all selected statements. Supported statements: (S)PTP, (S)LIN, (S)CIRC, SPLINE-Blocks.'
mirror_pos_sub_path = '\\Wizards\\MirrorWizard\\'
mirror_wizard_uri = getApplicationPath() + mirror_pos_sub_path + 'mirror.py'
mirror_cmd = loadCommand(mirror_pos_cmd_id, mirror_wizard_uri)
mirror_icon_path = getCommandPath() + mirror_pos_sub_path + 'rMirrorClone.svg'
addMenuItem('VcTabTeach/DS-SIM Add Ons/DS-SIM Public Tools/Wizards', mirror_pos_name, -1, mirror_pos_cmd_id, mirror_pos_tooltip, mirror_icon_path, gm_program_ds_sim_pub_tools_id, 'GalleryMenuToolItem')
# set localization to ensure naming of action panels appears in every localization
net_cmd.execute('SetLocalizationCommand','English','Python',mirror_pos_cmd_id,'Text', mirror_pos_name)
net_cmd.execute('SetLocalizationCommand','German','Python',mirror_pos_cmd_id,'Text', mirror_pos_name)
net_cmd.execute('SetLocalizationCommand','French','Python',mirror_pos_cmd_id,'Text', mirror_pos_name)
net_cmd.execute('SetLocalizationCommand','Chinese','Python',mirror_pos_cmd_id,'Text', mirror_pos_name)
net_cmd.execute('SetLocalizationCommand','Japanese','Python',mirror_pos_cmd_id,'Text', mirror_pos_name)


# GALLERY MENU in MODELLING tab
# addMenuItem('location and name of gallery menu', 'name of group',      -1, control_id,      Tooltip, icon_path, ref_id, controltype )
gm_modeling_ds_sim_pub_tools_id = 'gm_modeling_ds_sim_pub_tools'
addMenuItem('VcTabAuthor/DS-SIM Add Ons', 'DS-SIM Public Tools', -1, 'gm_modeling_ds_sim_pub_tools', '', ds_public_tools_icon_path, '', 'GalleryMenuTool')

# DS-SIM Public Tools\Wizards\ShowHideViaSignal
show_hide_via_sig_name = 'Show/Hide component via signal'
show_hide_via_sig_tooltip = 'Adds functionality to show/hide component with a Boolean signal'
show_hide_via_sig_cmd_id = 'ShowHideViaSigCmd'
show_hide_via_sig_sub_path = '\\Wizards\\ShowHideViaSignal\\'
show_hide_via_sig_uri = getApplicationPath() + show_hide_via_sig_sub_path + 'show_hide_via_signal.py'
set_child_feats_visible_cmd = loadCommand(show_hide_via_sig_cmd_id, show_hide_via_sig_uri)
addMenuItem('VcTabAuthor/DS-SIM Add Ons/DS-SIM Public Tools/Wizards', show_hide_via_sig_name, -1, show_hide_via_sig_cmd_id, show_hide_via_sig_tooltip, '', gm_modeling_ds_sim_pub_tools_id, 'GalleryMenuToolItem')
# set localization to ensure naming of action panels appears in every localization
# -> not necessary, this function does not create an action panel


# DS-SIM Public Tools\Helpers\VisibilityAssistant
vis_assist_name = 'Visibility Assistant'
vis_assist_tooltip = 'Assistant to mark/unmark invisible features or reset visibility of all features.'
vis_assist_cmd_id = 'VisAssistCmd'
vis_assist_sub_path = '\\Helpers\\VisibilityAssistant\\'
vis_assist_uri = getApplicationPath() + vis_assist_sub_path +'vis_assist.py'
vis_assist_cmd = loadCommand(vis_assist_cmd_id, vis_assist_uri)
vis_assist_icon_path = getCommandPath() + vis_assist_sub_path + 'image_pHiddenFlowGroupsVisible.svg'
addMenuItem('VcTabAuthor/DS-SIM Add Ons/DS-SIM Public Tools/Wizards', vis_assist_name, -1, vis_assist_cmd_id, vis_assist_tooltip, vis_assist_icon_path, gm_modeling_ds_sim_pub_tools_id, 'GalleryMenuToolItem')
# set localization to ensure naming of action panels appears in every localization
net_cmd.execute('SetLocalizationCommand','English','Python',vis_assist_cmd_id,'Text', vis_assist_name)
net_cmd.execute('SetLocalizationCommand','German','Python',vis_assist_cmd_id,'Text', vis_assist_name)
net_cmd.execute('SetLocalizationCommand','French','Python',vis_assist_cmd_id,'Text', vis_assist_name)
net_cmd.execute('SetLocalizationCommand','Chinese','Python',vis_assist_cmd_id,'Text', vis_assist_name)
net_cmd.execute('SetLocalizationCommand','Japanese','Python',vis_assist_cmd_id,'Text', vis_assist_name)